Diffing.Define.Left_variadic(3o)

NAME
Diffing.Define.Left_variadic - Variadic diffing

Module
Module Diffing.Define.Left_variadic

Documentation

Module Left_variadic
 : sig end -> S

  Variadic diffing

Variadic diffing allows to expand the lists being diffed during diffing. in one specific direction.

Parameters:

"*"

sig end

val diff : D.state -> D.left array -> D.right array -> Diffing.Define.patch

diff state l r computes the optimal patch between l and r , using the initial state state .